NewWacht Bench is live — AI-assisted development for Wacht

List Rate Limit Schemes

GET
/api-auth/rate-limit-schemes

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/api-auth/rate-limit-schemes"
{
  "schemes": [
    {
      "id": 0,
      "deployment_id": 0,
      "slug": "string",
      "name": "string",
      "description": "string",
      "rules": [
        {
          "unit": "millisecond",
          "duration": 0,
          "max_requests": 0,
          "mode": "per_app",
          "endpoints": [
            "string"
          ],
          "priority": 0
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}